Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin.hawk
Class HawkController

    java.lang.Object
      com.tibco.tibjms.admin.hawk.HawkListener
          com.tibco.tibjms.admin.hawk.HawkController

    public class HawkController

extends HawkListener

HawkController runs inside a Hawk Agent to provide monitoring and control of an EMS server.

Constructor Summary
`HawkController()`

Method Summary
`CompositeData` | `compact(java.lang.String storeName, java.lang.Long maxTime)` Compact specified store file on the connected EMS server.
`COM.TIBCO.hawk.talon.MicroAgentDescriptor` | `describeMicroAgent()` Part of interface with Hawk Agent engine.
`void` | `purgeDurable(java.lang.String name, java.lang.String clientID)` Purge durables on the connected EMS server.
`void` | `purgeQueue(java.lang.String name)` Purge specified queue on the connected EMS server.
`void` | `purgeTopic(java.lang.String name)` Purge specified topic on the connected EMS server.
`void` | `rotateLog()` Rotate logs of the connected EMS server.
`void` | `shutdown()` Shut down the connected EMS server.

Methods inherited from class com.tibco.tibjms.admin.hawk.HawkListener
`getChannels, getCMLedgerInfo, getConnections, getConsumers, getDbStores, getDurables, getFileStores, getListenPorts, getNumConnections, getProducers, getQueues, getRoutes, getServerInfo, getStores, getTopics, getTransport, getTransports, getUsers, initializeMicroAgent, isRunning, thisMicroAgentAdded, thisMicroAgentRemoved`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HawkController

    public HawkController()

Method Detail

### describeMicroAgent

    public COM.TIBCO.hawk.talon.MicroAgentDescriptor describeMicroAgent()
                                                                 throws COM.TIBCO.hawk.talon.MicroAgentException

  Part of interface with Hawk Agent engine.

  Overrides:
    `describeMicroAgent` in class `HawkListener`
  Throws:
    `COM.TIBCO.hawk.talon.MicroAgentException`

### shutdown

    public void shutdown()
                  throws MicroAgentException

  Shut down the connected EMS server.

  Throws:
    `MicroAgentException`

### purgeDurable

    public void purgeDurable(java.lang.String name,
                             java.lang.String clientID)
                      throws MicroAgentException

  Purge durables on the connected EMS server.

  Throws:
    `MicroAgentException`

### purgeQueue

    public void purgeQueue(java.lang.String name)
                    throws MicroAgentException

  Purge specified queue on the connected EMS server.

  Throws:
    `MicroAgentException`

### purgeTopic

    public void purgeTopic(java.lang.String name)
                    throws MicroAgentException

  Purge specified topic on the connected EMS server.

  Throws:
    `MicroAgentException`

### rotateLog

    public void rotateLog()
                   throws MicroAgentException

  Rotate logs of the connected EMS server.

  Throws:
    `MicroAgentException`

### compact

    public CompositeData compact(java.lang.String storeName,
                                 java.lang.Long maxTime)
                          throws MicroAgentException

  Compact specified store file on the connected EMS server.

  Throws:
    `MicroAgentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved